Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.common.collection
Class AbstractMultimap.WrappedSortedKeySet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<K>
              org.modeshape.common.collection.AbstractMultimap.WrappedKeySet
                  org.modeshape.common.collection.AbstractMultimap.WrappedSortedKeySet

All Implemented Interfaces:
  Iterable<K>, Collection<K>, Set<K>, SortedSet<K>

Enclosing class:
  AbstractMultimap<K,V>

    protected class AbstractMultimap.WrappedSortedKeySet

extends AbstractMultimap.WrappedKeySet
implements SortedSet<K>

Constructor Summary
`protected` | `AbstractMultimap.WrappedSortedKeySet(SortedMap<K,Collection<V>> wrapped)`

Method Summary
`Comparator<? super K>` | `comparator()`
`K` | `first()`
`SortedSet<K>` | `headSet(K toElement)`
`K` | `last()`
`SortedSet<K>` | `subSet(K fromElement, K toElement)`
`SortedSet<K>` | `tailSet(K fromElement)`

Methods inherited from class org.modeshape.common.collection.AbstractMultimap.WrappedKeySet
`clear, contains, containsAll, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, isEmpty, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### AbstractMultimap.WrappedSortedKeySet

    protected AbstractMultimap.WrappedSortedKeySet(SortedMap<K,Collection<V>> wrapped)

Method Detail

### comparator

    public Comparator<? super K> comparator()

  Specified by:
    `comparator` in interface `SortedSet<K>`
  See Also:
    `SortedSet.comparator()`

### subSet

    public SortedSet<K> subSet(K fromElement,
                               K toElement)

  Specified by:
    `subSet` in interface `SortedSet<K>`
  See Also:
    `SortedSet.subSet(java.lang.Object, java.lang.Object)`

### headSet

    public SortedSet<K> headSet(K toElement)

  Specified by:
    `headSet` in interface `SortedSet<K>`
  See Also:
    `SortedSet.headSet(java.lang.Object)`

### tailSet

    public SortedSet<K> tailSet(K fromElement)

  Specified by:
    `tailSet` in interface `SortedSet<K>`
  See Also:
    `SortedSet.tailSet(java.lang.Object)`

### first

    public K first()

  Specified by:
    `first` in interface `SortedSet<K>`
  See Also:
    `SortedSet.first()`

### last

    public K last()

  Specified by:
    `last` in interface `SortedSet<K>`
  See Also:
    `SortedSet.last()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.